## sshkeys - Rust library for parsing OpenSSH public keys and certificates

[![Build Status](https://travis-ci.org/dnaeon/rust-sshkeys.svg?branch=master)](https://travis-ci.org/dnaeon/rust-sshkeys)
[![Docs](https://docs.rs/sshkeys/badge.svg)](https://docs.rs/sshkeys/)

The `sshkeys` crate is a Rust library, which provides types and methods for
parsing OpenSSH public keys and certificates.

In order to use this crate in your project, simply add the following to your
`Cargo.toml` file.

```toml
[dependencies]
sshkeys = "0.1.1"
```

## Tests

In order to test this crate locally, execute the following command.

```bash
$ cargo test
```

## Documentation

The `sshkeys` crate has documentation, which you can build and view locally.

```bash
$ cargo doc --open
```

## Examples

For examples on how to use this crate, please refer to the `examples` directory.

In order to run an example, simply execute the following command.

```bash
$ cargo run --example <example-name>
```

## Contributions

The `sshkeys` crate is hosted on [Github](https://github.com/dnaeon/rust-sshkeys).
Please contribute by reporting issues, suggesting features or by
sending patches using pull requests.

## License

This project is Open Source and licensed under the
[BSD License](http://opensource.org/licenses/BSD-2-Clause).
